%global gem_name calendar_date_select

Summary:        A popular date picker widget for ruby on rails and prototype.js
Name:           rubygem-%{gem_name}
Version:        1.16.3
Release:        5%{?dist}
Group:          Development/Languages
License:        MIT
URL:            http://rubyforge.org/projects/cds/
Source0:        http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       ruby(abi) = 1.9.1
Requires: ruby(rubygems)
BuildRequires:  dos2unix
BuildRequires: rubygems-devel
BuildRequires:  rubygem(activesupport)
BuildRequires:  rubygem(hoe)
BuildRequires:  rubygem(ZenTest)
BuildArch:      noarch
Provides:       rubygem(%{gem_name}) = %{version}

%description
A popular date picker widget for ruby on rails and prototype.js

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
gem install --local --install-dir %{buildroot}%{gem_dir} \
            --force --rdoc %{SOURCE0}

# Remove backup files
find %{buildroot}/%{gem_instdir} -type f -name "*~" -delete

# Fix anything executable that does not have a shebang
for file in `find %{buildroot}/%{gem_instdir} -type f -perm /a+x`; do
    [ -z "`head -n 1 $file | grep \"^#!/\"`" ] && chmod -v 644 $file
done

# Find files with a shebang that do not have executable permissions
for file in `find %{buildroot}/%{gem_instdir} -type f ! -perm /a+x -name "*.rb"`; do
    [ ! -z "`head -n 1 $file | grep \"^#!/\"`" ] && chmod -v 755 $file
done

# Find files that have non-standard-executable-perm
find %{buildroot}/%{gem_instdir} -type f -perm /g+wx -exec chmod -v g-w {} \;

# Find files that are not readable
find %{buildroot}/%{gem_instdir} -type f ! -perm /go+r -exec chmod -v go+r {} \;

# Remove these hidden files
rm -rf %{buildroot}/%{gem_instdir}/.project
rm -rf %{buildroot}/%{gem_instdir}/.loadpath

# Convert the LICENSE file to something READABLE
dos2unix %{buildroot}/%{gem_instdir}/MIT-LICENSE

%check
pushd %{buildroot}/%{gem_instdir}
# requires activesupport 2.3.5, so do not test
# TODO: investigate, if it even works with Rails 3, for some reports see
# https://github.com/timcharper/calendar_date_select/issues
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/%{gem_name}.gemspec
%dir %{gem_instdir}
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/MIT-LICENSE
%doc %{gem_instdir}/Manifest.txt
%doc %{gem_instdir}/Rakefile
%doc %{gem_instdir}/README.txt
%{gem_instdir}/js_test/
%{gem_instdir}/VERSION
%{gem_libdir}/
%{gem_instdir}/public/
%{gem_instdir}/spec/
%{gem_instdir}/init.rb
%doc %{gem_docdir}
%{gem_cache}
%{gem_spec}

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan  9 2010 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 1.15-4
- Tidy up spec (remove unused macro)

* Sun Dec 20 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 1.15-3
- Fix %%define -> %%global
- Fix license file CRLFs (dos2unix)
- Execute tests

* Wed Oct 21 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 1.15-2
- Fix license

* Wed Oct 14 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 1.15-1
- First package
